%global		hash 104d4287f32da28f51efc5a451e62e4071322480
%global		shorthash %(bash -c 'c=%{hash}; echo ${c:0:7}')

%global		debug_package %{nil}

Name:		enhanceio-cli
Version:	0
Release:	0.1.git%{shorthash}%{dist}
Summary:	CLI for STEC EnhanceIO SSD Caching

Group:		System Environment/Kernel
License:	GPL
URL:		https://github.com/stec-inc/EnhanceIO
Source0:	EnhanceIO-%{shorthash}.tar.gz

Requires:	enhanceio-driver

%description
%{summary}


%prep
%setup -n EnhanceIO-%{shorthash}

%build
# noop

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man8
mkdir -p %{buildroot}/%{_docdir}/%{name}
mkdir -p %{buildroot}/%{_docdir}/%{name}/tests

install -m 755 CLI/eio_cli %{buildroot}/%{_bindir}
install -m 644 CLI/eio_cli.8 %{buildroot}/%{_mandir}/man8

install -m 644 COPYING %{buildroot}/%{_docdir}/%{name}
install -m 644 Install.txt %{buildroot}/%{_docdir}/%{name}
install -m 644 README.txt %{buildroot}/%{_docdir}/%{name}
install -m 644 Documents/Persistence.txt %{buildroot}/%{_docdir}/%{name}

%files
%{_bindir}/eio_cli
%{_mandir}/man8/eio_cli.8.gz
%{_docdir}/%{name}

%changelog
* Thu Jun 30 2016 RJ Bergeron <rbergeron@palantir.com>
- Initial packaging
